Summary: The lua language - interpreter and documentation
Name: lua
Version: 4.0.1
Release: 2ras
Source0: http://www.lua.org/ftp/lua.tar.gz
Source1: http://www.lua.org/spe.html
Copyright: Free, see http://www.lua.org/copyright.html
Packager: Russell Stuart <russell-rpm@stuart.id.au>
Group: Development/Languages
BuildRoot: %{_tmppath}/root-%{name}-%{version}

%description
Lua is a powerful, light-weight programming language designed for
adding scripting to existing applications.  Lua is also frequently used
as a general-purpose, stand-alone language.

Install the lua package to run programs written in lua.  If you want to
add lua scripting capabilities an application install the lua-devel
package as well.

%package devel
Summary: The libraries and headers needed for embedding lua
Requires: lua = %{PACKAGE_VERSION}
Group: Development/Libraries

%description devel
Lua is a language engine that you can embed into your application. This
means that, besides syntax and semantics, Lua has an API that allows the
application to exchange data with Lua programs and also to extend Lua with
C functions. In this sense, Lua can be regarded as a language framework for
building domain-specific languages. 

Install lua-devel if you want to embed lua into applications.  The
lua package will also need to be installed.

%prep
case "%{buildroot}" in
  *tmp*|*temp*|*%{name}*|*src*|*[0-9]*)	rm -rf %{buildroot} ;;
esac
%setup -q
cp %{SOURCE1} .

%build
make all so sobin

%install
make \
  INSTALL_EXEC="install -m 755" \
  INSTALL_DATA="install -m 0644" \
  INSTALL_ROOT="%{buildroot}/usr" \
  INSTALL_MAN="%{buildroot}%{_mandir}/man1" \
  install
chmod a+x %{buildroot}%{_libdir}/*.so*

%files
%doc COPYRIGHT DIFFS HISTORY INSTALL MANIFEST README UPDATE doc/*.html doc/*.gif spe.html
%{_bindir}/lua
%{_mandir}/man1/lua.1.gz
%{_libdir}/liblua.so
%{_libdir}/liblua.so.4.0
%{_libdir}/liblualib.so
%{_libdir}/liblualib.so.4.0

%files devel
%{_bindir}/luac
%{_mandir}/man1/luac.1.gz
%{_libdir}/liblua.a
%{_libdir}/liblualib.a
%{_includedir}/*.h

%clean
case "%{buildroot}" in
  *tmp*|*temp*|*%{name}*|*src*)	rm -rf %{buildroot} ;;
esac

%changelog
* Tue Nov 19 2002 Russell Stuart <russell-rpm@stuart.id.au>
- Upgraded to 4.0.1

* Fri Jul 13 2001 Russell Stuart <russell-rpm@stuart.id.au>
- First attempt
